Index: orxonox/trunk/src/lib/particles/particle_system.h
===================================================================
--- orxonox/trunk/src/lib/particles/particle_system.h	(revision 4596)
+++ orxonox/trunk/src/lib/particles/particle_system.h	(revision 4597)
@@ -1,3 +1,3 @@
-/*! 
+/*!
     \file particle_system.h
 
@@ -23,10 +23,13 @@
 
 //! An enumerator for the different types of particles.
-typedef enum PARTICLE_TYPE { PARTICLE_DOT           =  PARTICLE_DOT_MASK,
-			     PARTICLE_SPARK         =  PARTICLE_SPARK_MASK,
-			     PARTICLE_SPRITE        =  PARTICLE_SPRITE_MASK,
-			     PARTICLE_MULTI_SPRITE  =  PARTICLE_SPRITE_MASK | PARTICLE_MULTI_MASK,
-			     PARTICLE_MODEL         =  PARTICLE_MODEL_MASK,
-			     PARTICLE_MULTI_MODE    =  PARTICLE_MODEL_MASK | PARTICLE_MULTI_MASK };
+typedef enum PARTICLE_TYPE
+{
+  PARTICLE_DOT           =  PARTICLE_DOT_MASK,
+  PARTICLE_SPARK         =  PARTICLE_SPARK_MASK,
+  PARTICLE_SPRITE        =  PARTICLE_SPRITE_MASK,
+  PARTICLE_MULTI_SPRITE  =  PARTICLE_SPRITE_MASK | PARTICLE_MULTI_MASK,
+  PARTICLE_MODEL         =  PARTICLE_MODEL_MASK,
+  PARTICLE_MULTI_MODE    =  PARTICLE_MODEL_MASK | PARTICLE_MULTI_MASK
+};
 
 #define PARTICLE_DEFAULT_MAX_COUNT    200               //!< A default count of particles in the system.
@@ -59,8 +62,8 @@
 //! A class to handle ParticleSystems
 class ParticleSystem : public WorldEntity, public PhysicsInterface {
-  
+
  public:
   ParticleSystem(unsigned int maxCount = PARTICLE_DEFAULT_MAX_COUNT,
-		 PARTICLE_TYPE type = PARTICLE_DEFAULT_TYPE);
+                 PARTICLE_TYPE type = PARTICLE_DEFAULT_TYPE);
   virtual ~ParticleSystem();
 
@@ -116,5 +119,5 @@
 
   GLuint*           glID;                //!< A List of different gl-List-ID's
-  GLuint            dialectCount;        //!< How many different types of particles are there in the Particle System  
+  GLuint            dialectCount;        //!< How many different types of particles are there in the Particle System
 
   // per particle attributes
Index: orxonox/trunk/src/lib/particles/quick_animation.cc
===================================================================
--- orxonox/trunk/src/lib/particles/quick_animation.cc	(revision 4596)
+++ orxonox/trunk/src/lib/particles/quick_animation.cc	(revision 4597)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -27,5 +27,4 @@
 using namespace std;
 
-
 /**
    \brief standard constructor
@@ -33,5 +32,5 @@
 QuickAnimation::QuickAnimation (void)
 {
-   this->setClassName("QuickAnimation");
+   this->setClassID(CL_QUICK_ANIMATION, "QuickAnimation");
 
    this->first = this->current = NULL;
@@ -47,5 +46,5 @@
   this->current = this->first;
   QuickKeyFrame delKF;
-  
+
   while (this->current != NULL)
     {
@@ -54,5 +53,4 @@
       this->current = this->first;
     }
-
 }
 
@@ -70,9 +68,9 @@
       // if it is between some keyframes
       if ((!this->current->next && this->current->position < position)
-	  || (this->current->position < position && this->current->next->position > position))
-	break;
+          || (this->current->position < position && this->current->next->position > position))
+        break;
       // if it is the same as an already existing keyframe
       else if (this->current->position == position)
-	return false;
+        return false;
       this->current = this->current->next;
     }
@@ -92,5 +90,5 @@
   newKey->value = value;
   newKey->position = position;
-  
+
   this->current = this->first;
 
@@ -110,9 +108,9 @@
     {
       if (this->current->position < position+region && this->current->position > position-region)
-	{
-	  this->current->value = value;
-	  return true;
-	}
-      this->current = this->current->next;  
+        {
+          this->current->value = value;
+          return true;
+        }
+      this->current = this->current->next;
     }
   this->current = this->first;
@@ -122,18 +120,18 @@
 /*
   \param position The position where to find the Node to kill
-  
+
   bool QuickAnimation::removeEntry(float position)
   {
   this->current = this->first;
-  QuickKeyFrame* last = 
-  
+  QuickKeyFrame* last =
+
   while (this->current)
   {
   if (this->current->position == position)
   {
-  
-  
+
+
   }
-  this->current = this->current->next;  
+  this->current = this->current->next;
   }
   this->current = this->first;
@@ -145,5 +143,5 @@
    \param position the position to get the value from :)
 */
-float QuickAnimation::getValue(float position) 
+float QuickAnimation::getValue(float position)
 {
   if (unlikely(this->first == NULL))
@@ -154,16 +152,16 @@
     {
       if (unlikely(position < this->current->position))
-	{
-	  if (position <= this->first->position)
-	    return this->first->value;
-	  this->current = this->first;
-	}
+        {
+          if (position <= this->first->position)
+            return this->first->value;
+          this->current = this->first;
+        }
       while (likely(this->current->next != NULL && position > this->current->next->position))
-	this->current = this->current->next;
+        this->current = this->current->next;
       if (this->current->next == NULL)
-	return this->current->value;
-	       
+        return this->current->value;
+
       return this->current->value + (this->current->next->value - this->current->value)
-	* ((position-this->current->position) / (this->current->next->position -this->current->position));
+        * ((position-this->current->position) / (this->current->next->position -this->current->position));
     }
 }
Index: orxonox/trunk/src/lib/particles/quick_animation.h
===================================================================
--- orxonox/trunk/src/lib/particles/quick_animation.h	(revision 4596)
+++ orxonox/trunk/src/lib/particles/quick_animation.h	(revision 4597)
@@ -1,3 +1,3 @@
-/*! 
+/*!
     \file quick_animation.h
     \brief Definition of the QuickAnimation-class
@@ -21,4 +21,5 @@
    this class is optimized for a raising value. eg. 100 particles sorted
    by age.
+  \todo speedUP this stuff (especially getValue)
 */
 class QuickAnimation : public BaseObject {
Index: orxonox/trunk/src/lib/physics/physics_connection.cc
===================================================================
--- orxonox/trunk/src/lib/physics/physics_connection.cc	(revision 4596)
+++ orxonox/trunk/src/lib/physics/physics_connection.cc	(revision 4597)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -31,4 +31,5 @@
 PhysicsConnection::PhysicsConnection(PhysicsInterface* subject, Field* field)
 {
+  this->setClassID(CL_PHYSICS_CONNECTION, "PhysicsConnection");
   this->type = PCON_PhysIField;
   this->subject = subject;
@@ -43,10 +44,10 @@
 
 */
-PhysicsConnection::~PhysicsConnection () 
+PhysicsConnection::~PhysicsConnection ()
 {
   PhysicsEngine::getInstance()->removeConnection(this);
 }
 
-/** 
+/**
     \brief applies the Force to some Object.
 */
Index: orxonox/trunk/src/lib/physics/physics_connection.h
===================================================================
--- orxonox/trunk/src/lib/physics/physics_connection.h	(revision 4596)
+++ orxonox/trunk/src/lib/physics/physics_connection.h	(revision 4597)
@@ -1,8 +1,8 @@
-/*! 
+/*!
     \file physics_connection.h
     \brief Definition of The Physical Connection Class.
 */
 
-#ifndef _PHYSICS_CONNECTION_H 
+#ifndef _PHYSICS_CONNECTION_H
 #define _PHYSICS_CONNECTION_H
 
@@ -14,6 +14,9 @@
 
 //! An enumerator for different ConnectionTypes
-typedef enum PCON_Type { PCON_PhysIPhysI = 0,
-			 PCON_PhysIField = 1};
+typedef enum PCON_Type
+{
+  PCON_PhysIPhysI = 1,
+  PCON_PhysIField = 2
+};
 
 
@@ -34,8 +37,8 @@
  private:
   PCON_Type type;                    //!< What kind of connection this is.
-  
+
   PhysicsInterface* subject;         //!< The main Subject of this Connection.
   PhysicsInterface* partner2;        //!< The second partner of this Connection.
-  
+
   Field* field;                      //!< The field to connect either subject of ParticleSystem to.
 };
Index: orxonox/trunk/src/lib/physics/physics_engine.cc
===================================================================
--- orxonox/trunk/src/lib/physics/physics_engine.cc	(revision 4596)
+++ orxonox/trunk/src/lib/physics/physics_engine.cc	(revision 4597)
@@ -30,9 +30,9 @@
 PhysicsEngine::PhysicsEngine()
 {
-   this->setClassName ("PhysicsEngine");
-
-   this->connections = new tList<PhysicsConnection>;
-   this->interfaces = new tList<PhysicsInterface>;
-   this->fields = new tList<Field>;
+  this->setClassID(CL_PHYSICS_ENGINE, "PhysicsEngine");
+  this->setName("PhysicsEngine");
+  this->connections = new tList<PhysicsConnection>;
+  this->interfaces = new tList<PhysicsInterface>;
+  this->fields = new tList<Field>;
 }
 
Index: orxonox/trunk/src/lib/physics/physics_interface.cc
===================================================================
--- orxonox/trunk/src/lib/physics/physics_interface.cc	(revision 4596)
+++ orxonox/trunk/src/lib/physics/physics_interface.cc	(revision 4597)
@@ -35,14 +35,14 @@
 /**
    \brief standard constructor
-*/
+ */
 PhysicsInterface::PhysicsInterface (void* objectPointer)
 {
+  this->setClassID(CL_PHYSICS_INTERFACE, "PhysicsInterface");
   this->objectPointer = objectPointer;
 
-  //   this->setClassName ("PhysicsInterface");
-   this->mass = 1;
-   this->massChildren = 0;
-   this->forceSum = Vector(0, 0, 0);
-   this->bForceApplied = false;
+  this->mass = 1;
+  this->massChildren = 0;
+  this->forceSum = Vector(0, 0, 0);
+  this->bForceApplied = false;
 
    PhysicsEngine::getInstance()->addPhysicsInterface(this);
Index: orxonox/trunk/src/lib/sound/sound_engine.cc
===================================================================
--- orxonox/trunk/src/lib/sound/sound_engine.cc	(revision 4596)
+++ orxonox/trunk/src/lib/sound/sound_engine.cc	(revision 4597)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -40,4 +40,7 @@
 SoundBuffer::SoundBuffer(const char* fileName)
 {
+  this->setClassID(CL_SOUND_BUFFER, "SoundBuffer");
+  this->setName(fileName);
+
   SoundEngine::getInstance()->addBuffer(this);
 
@@ -45,5 +48,5 @@
   ALvoid* data;
   ALsizei freq;
-  
+
   ALenum result;
 
@@ -57,5 +60,5 @@
   if ((result = alGetError()) != AL_NO_ERROR)
     SoundEngine::PrintALErrorString(result);
-  
+
   // send the loaded wav data to the buffer
   alBufferData(this->bufferID, format, data, this->size, freq);
@@ -83,4 +86,6 @@
 SoundSource::SoundSource(SoundBuffer* buffer, PNode* sourceNode)
 {
+  this->setClassID(CL_SOUND_SOURCE, "SoundSource");
+
   ALenum result;
 
@@ -161,8 +166,9 @@
    \brief standard constructor
 */
-SoundEngine::SoundEngine () 
-{
-  this->setClassName ("SoundEngine");
-  
+SoundEngine::SoundEngine ()
+{
+  this->setClassID(CL_SOUND_ENGINE, "SoundEngine");
+  this->setName("SoundEngine");
+
   this->listener = NULL;
   this->bufferList = new tList<SoundBuffer>;
@@ -179,5 +185,5 @@
 
 */
-SoundEngine::~SoundEngine () 
+SoundEngine::~SoundEngine ()
 {
   SoundEngine::singletonRef = NULL;
@@ -262,5 +268,5 @@
     {
       if (buffer == enumSource->getBuffer())
-	delete enumSource;
+        delete enumSource;
       enumSource = sourceIterator->nextElement();
     }
@@ -300,11 +306,11 @@
     {
       alListener3f(AL_POSITION,
-		   this->listener->getAbsCoor().x,
-		   this->listener->getAbsCoor().y,
-		   this->listener->getAbsCoor().z);
+                   this->listener->getAbsCoor().x,
+                   this->listener->getAbsCoor().y,
+                   this->listener->getAbsCoor().z);
       alListener3f(AL_VELOCITY,
-		   this->listener->getVelocity().x,
-		   this->listener->getVelocity().y,
-		   this->listener->getVelocity().z);
+                   this->listener->getVelocity().x,
+                   this->listener->getVelocity().y,
+                   this->listener->getVelocity().z);
       Vector absDirV = this->listener->getAbsDirV();
       ALfloat orientation [6] = {1,0,0, absDirV.x, absDirV.y, absDirV.z};
@@ -321,12 +327,12 @@
       if (likely(enumSource->getNode()!=NULL))
       {
-	alSource3f(enumSource->getID(), AL_POSITION,
-		   enumSource->getNode()->getAbsCoor().x,
-		   enumSource->getNode()->getAbsCoor().y,
-		   enumSource->getNode()->getAbsCoor().z);
-	alSource3f(enumSource->getID(), AL_VELOCITY,
-		   enumSource->getNode()->getVelocity().x,
-		   enumSource->getNode()->getVelocity().y,
-		   enumSource->getNode()->getVelocity().z);
+        alSource3f(enumSource->getID(), AL_POSITION,
+                   enumSource->getNode()->getAbsCoor().x,
+                   enumSource->getNode()->getAbsCoor().y,
+                   enumSource->getNode()->getAbsCoor().z);
+        alSource3f(enumSource->getID(), AL_VELOCITY,
+                   enumSource->getNode()->getVelocity().x,
+                   enumSource->getNode()->getVelocity().y,
+                   enumSource->getNode()->getVelocity().z);
       }
       enumSource = iterator->nextElement();
@@ -347,12 +353,12 @@
       SoundSource* enumSource = sourceIterator->nextElement();
       while (enumSource)
-	{
-	  if (enumBuffer == enumSource->getBuffer())
-	    break;
-	  enumSource = sourceIterator->nextElement();
-	}
+        {
+          if (enumBuffer == enumSource->getBuffer())
+            break;
+          enumSource = sourceIterator->nextElement();
+        }
       delete sourceIterator;
       if (enumSource == NULL)
-	ResourceManager::getInstance()->unload(enumBuffer);
+        ResourceManager::getInstance()->unload(enumBuffer);
       enumBuffer = bufferIterator->nextElement();
     }
@@ -402,5 +408,5 @@
       PRINTF(4)("AL_NO_ERROR\n");
       break;
-      
+
     case AL_INVALID_NAME:
       PRINTF(2)("AL_INVALID_NAME\n");
Index: orxonox/trunk/src/lib/sound/sound_engine.h
===================================================================
--- orxonox/trunk/src/lib/sound/sound_engine.h	(revision 4596)
+++ orxonox/trunk/src/lib/sound/sound_engine.h	(revision 4597)
@@ -1,5 +1,5 @@
-/*! 
+/*!
     \file sound_engine.h
-    \brief Definition of the SoundEngine singleton Class  
+    \brief Definition of the SoundEngine singleton Class
 */
 
@@ -20,5 +20,5 @@
 
 //! A class that represents a datastructure to play Sounds.
-class SoundBuffer
+class SoundBuffer : public BaseObject
 {
  public:
@@ -37,10 +37,10 @@
 
 //! A class that represents a SoundSource
-class SoundSource
+class SoundSource : virtual public BaseObject
 {
  public:
   SoundSource(SoundBuffer* buffer, PNode* sourceNode = NULL);
   ~SoundSource(void);
-  
+
   // user interaction
   void play();
@@ -48,10 +48,10 @@
   void pause();
   void rewind();
-  
+
   // development functions
   /** \returns The ID of this Source */
   inline ALuint getID(void) const { return this->sourceID; }
   /** \returns the SoundBuffer of this Source */
-  inline SoundBuffer* getBuffer(void) const { return this->buffer; } 
+  inline SoundBuffer* getBuffer(void) const { return this->buffer; }
   /** \returns the SourceNode of this Source */
   inline PNode* getNode(void) const { return this->sourceNode;}
Index: orxonox/trunk/src/lib/util/ini_parser.cc
===================================================================
--- orxonox/trunk/src/lib/util/ini_parser.cc	(revision 4596)
+++ orxonox/trunk/src/lib/util/ini_parser.cc	(revision 4597)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -28,4 +28,6 @@
 IniParser::IniParser (const char* filename)
 {
+  this->setClassID(CL_INI_PARSER, "IniParser");
+
   stream = NULL;
   bInSection = false;
@@ -50,5 +52,5 @@
   char* tmpName = ResourceManager::homeDirCheck(filename);
   if( filename == NULL) return -1;
-  if( stream != NULL)	fclose (stream);
+  if( stream != NULL)   fclose (stream);
   if( (stream = fopen (tmpName, "r")) == NULL)
     {
@@ -71,9 +73,9 @@
   bInSection = false;
   if( stream == NULL) return -1;
-  
+
   char linebuffer[PARSELINELENGHT];
   char secbuffer[PARSELINELENGHT];
   char* ptr;
-  
+
   rewind (stream);
   while( !feof( stream))
@@ -85,15 +87,15 @@
       // check for section identifyer
       if( sscanf (linebuffer, "[%s", secbuffer) == 1)
-	{
-	  if( (ptr = strchr( secbuffer, ']')) != NULL)
-	    {
-	      *ptr = 0;
-	      if( !strcmp( secbuffer, section))
-		{
-		  bInSection = true;
-		  return 0;
-		}
-	    }
-	}
+        {
+          if( (ptr = strchr( secbuffer, ']')) != NULL)
+            {
+              *ptr = 0;
+              if( !strcmp( secbuffer, section))
+                {
+                  bInSection = true;
+                  return 0;
+                }
+            }
+        }
     }
   return -1;
@@ -114,8 +116,8 @@
     }
   if( !bInSection) return -1;
-  
+
   char linebuffer[PARSELINELENGHT];
   char* ptr;
-  
+
   while( !feof( stream))
     {
@@ -125,22 +127,22 @@
       if( (ptr = strchr( linebuffer, '\n')) != NULL) *ptr = 0;
       if( linebuffer[0] == '[')
-	{
-	  bInSection = false;
-	  return -1;
-	}
+        {
+          bInSection = false;
+          return -1;
+        }
       sscanf(linebuffer, "%s = %s", name, value);
       return 0;
       /*
-	if( (ptr = strchr( tmpBuffer, '=')) != NULL)
-	{
-	if( ptr == linebuffer) continue;
-	strcpy (value, &ptr[1]);
-	strncpy (name, linebuffer, strlen (linebuffer) - strlen (value) - 1);
-	printf ("%s, %s\n", value, name);
-	return 0;
-	}
+        if( (ptr = strchr( tmpBuffer, '=')) != NULL)
+        {
+        if( ptr == linebuffer) continue;
+        strcpy (value, &ptr[1]);
+        strncpy (name, linebuffer, strlen (linebuffer) - strlen (value) - 1);
+        printf ("%s, %s\n", value, name);
+        return 0;
+        }
       */
     }
-  return -1;	
+  return -1;
 }
 
@@ -151,5 +153,5 @@
    \param defvalue: what should be returned in case the entry cannot be found
    \return a pointer to a buffer conatining the value of the specified entry. This buffer will contain the data specified in defvalue in case the entry wasn't found
-   
+
    The returned pointer points to an internal buffer, so do not free it on your own. Do not give a NULL pointer to defvalue, this will certainly
    lead to unwanted behaviour.
@@ -159,15 +161,15 @@
   strcpy (internbuf, defvalue);
   if( getSection (section) == -1) return internbuf;
-  
+
   char namebuf[PARSELINELENGHT];
   char valuebuf[PARSELINELENGHT];
-  
+
   while( nextVar (namebuf, valuebuf) != -1)
     {
       if( !strcmp (name, namebuf))
-	{
-	  strcpy (internbuf, valuebuf);
-	  return internbuf;
-	}
+        {
+          strcpy (internbuf, valuebuf);
+          return internbuf;
+        }
     }
   return internbuf;
Index: orxonox/trunk/src/lib/util/ini_parser.h
===================================================================
--- orxonox/trunk/src/lib/util/ini_parser.h	(revision 4596)
+++ orxonox/trunk/src/lib/util/ini_parser.h	(revision 4597)
@@ -2,5 +2,5 @@
     \file ini_parser.h
     \brief A small ini file parser
-    
+
     Can be used to find a defined [Section] in an ini file and get the VarName=Value entries
 */
@@ -12,4 +12,5 @@
 #include <string.h>
 #include <stdlib.h>
+#include "base_object.h"
 
 #define PARSELINELENGHT     512       //!< how many chars to read at once
@@ -17,11 +18,12 @@
 //! ini-file parser
 /**
-	This class can be used to load an initializer file and parse it's contents for variablename=value pairs.
+        This class can be used to load an initializer file and parse it's contents for variablename=value pairs.
 */
-class IniParser {
+class IniParser : public BaseObject
+{
  public:
   IniParser (const char* filename);
   ~IniParser ();
-  
+
   char* getVar(const char* name, char* section, char* defvalue);
   int openFile(const char* name);
@@ -33,5 +35,5 @@
   bool          bInSection;                   //!< if the requested parameter is in the section.
   char          internbuf[PARSELINELENGHT];   //!< a buffer
-	
+
 
 };
Index: orxonox/trunk/src/lib/util/substring.cc
===================================================================
--- orxonox/trunk/src/lib/util/substring.cc	(revision 4596)
+++ orxonox/trunk/src/lib/util/substring.cc	(revision 4597)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -11,5 +11,7 @@
    ### File Specific:
    main-programmer: Christian Meyer
-   co-programmer: ...
+   co-programmer: Benjamin Grauer
+
+   2005-06-10: some naming conventions
 */
 
@@ -28,18 +30,18 @@
 {
   n = 0;
-	
+
   assert( string != NULL);
-	
+
   for( int i = 0; i < strlen(string); i++) if( string[i] == ',') n++;
 
   n += 1;
-	
+
   strings = new char*[n];
 
   assert (strings != NULL);
-	
+
   int i = 0;
   int l = 0;
-	
+
   const char* offset = string;
   char* end = strchr( string, ',');
@@ -57,5 +59,5 @@
       end = strchr( offset, ',');
     }
-	
+
   strings[i] = new char[l + 1];
   l = strlen( offset);
@@ -73,5 +75,5 @@
       delete strings[i];
     }
-	
+
   delete strings;
 }
Index: orxonox/trunk/src/orxonox.cc
===================================================================
--- orxonox/trunk/src/orxonox.cc	(revision 4596)
+++ orxonox/trunk/src/orxonox.cc	(revision 4597)
@@ -56,4 +56,5 @@
 {
   this->setClassID(CL_ORXONOX, "Orxonox");
+  this->setName("orxonox");
 
   this->resourceManager = NULL;
Index: orxonox/trunk/src/story_entities/campaign.cc
===================================================================
--- orxonox/trunk/src/story_entities/campaign.cc	(revision 4596)
+++ orxonox/trunk/src/story_entities/campaign.cc	(revision 4597)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -13,5 +13,5 @@
    ### File Specific:
    main-programmer: Patrick Boenzli
-   co-programmer: 
+   co-programmer:
 */
 
@@ -32,24 +32,27 @@
 
 
-Campaign::Campaign () 
-{
+Campaign::Campaign ()
+{
+  this->setClassID(CL_CAMPAIGN, "Campaign");
   this->entities = new tList<StoryEntity>();
   this->isInit = false;
 }
 
-Campaign::Campaign ( TiXmlElement* root) 
-{
+Campaign::Campaign ( TiXmlElement* root)
+{
+  //! \todo loading with load_param....
+  this->setClassID(CL_CAMPAIGN, "Campaign");
   TiXmlElement* element;
   const char* string;
   int id;
-  
+
   PRINTF(3)("Loading Campaign...\n");
-  
+
   assert( root != NULL);
   GameLoader* loader = GameLoader::getInstance();
-  
+
   this->entities = new tList<StoryEntity>();
   this->isInit = false;
-  
+
   // grab all the necessary parameters
   string = grabParameter( root, "identifier");
@@ -60,5 +63,5 @@
     }
   else this->setStoryID( id);
-  
+
   // find WorldList
   element = root->FirstChildElement( "WorldList");
@@ -69,5 +72,5 @@
   else
     element = element->FirstChildElement();
-  
+
   // load Worlds/Subcampaigns/Whatever
   StoryEntity* lastCreated = NULL;
@@ -77,17 +80,17 @@
       StoryEntity* created = (StoryEntity*) loader->fabricate( element);
       /*
-      if( lastCreated != NULL) 
-	created->setNextStoryID( lastCreated->getStoryID());
+      if( lastCreated != NULL)
+        created->setNextStoryID( lastCreated->getStoryID());
       else
-	created->setNextStoryID( WORLD_ID_GAMEEND);
+        created->setNextStoryID( WORLD_ID_GAMEEND);
       */
       if( created != NULL)
-	{
-	  this->addEntity( created);	
-	  lastCreated = created;
-	}
+        {
+          this->addEntity( created);
+          lastCreated = created;
+        }
       element = element->NextSiblingElement();
     }
-  //if( lastCreated != NULL) 
+  //if( lastCreated != NULL)
   //lastCreated->setStoryID( WORLD_ID_GAMEEND);
 }
@@ -111,5 +114,5 @@
 {
   ErrorMessage errorCode;
-  if( !this->isInit) return errorCode; 
+  if( !this->isInit) return errorCode;
   if( storyID == WORLD_ID_GAMEEND) return errorCode;
   this->running = true;
@@ -126,5 +129,5 @@
       se->start();
       se->destroy();
-     
+
       delete se;
 
@@ -133,12 +136,12 @@
       se = this->getStoryEntity(nextWorldID);
       this->currentEntity = se;
-      if( ( nextWorldID == WORLD_ID_GAMEEND) ||( se == NULL) ) 
-	{
-	  PRINTF(0)("Quitting campaing story loop\n");
-	  if(se != NULL)
-	    delete se;
-	  return errorCode;
-	}
-      
+      if( ( nextWorldID == WORLD_ID_GAMEEND) ||( se == NULL) )
+        {
+          PRINTF(0)("Quitting campaing story loop\n");
+          if(se != NULL)
+            delete se;
+          return errorCode;
+        }
+
     }
 }
@@ -162,5 +165,5 @@
 {
   this->running = false;
-  if(this->currentEntity != NULL) 
+  if(this->currentEntity != NULL)
     {
       this->currentEntity->stop();
@@ -182,5 +185,5 @@
 
 
-/** 
+/**
     \brief adds an game stroy entity to the campaign
 
@@ -206,5 +209,5 @@
 {
   this->removeEntity(this->getStoryEntity(storyID));
-  
+
 }
 
@@ -251,7 +254,7 @@
   tList<StoryEntity>* l;
   StoryEntity* entity = NULL;
-  l = this->entities->getNext();  
-  while( l != NULL) 
-    { 
+  l = this->entities->getNext();
+  while( l != NULL)
+    {
       entity = l->getObject();
       l = l->getNext();
@@ -260,8 +263,8 @@
       //printf("Campaing::getStoryEntity() - now looping, found entity nr=%i\n", id);
       if(id == storyID)
-	{
-	  //printf("Campaing::getStoryEntity() - yea, this is what we where looking for: %id\n");
-	  return entity;
-	}
+        {
+          //printf("Campaing::getStoryEntity() - yea, this is what we where looking for: %id\n");
+          return entity;
+        }
 
     }
@@ -271,13 +274,13 @@
   tIterator<StoryEntity>* iterator = this->entities->getIterator();
   StoryEntity* entity = iterator->nextElement();
-  while( entity != NULL) 
-    { 
+  while( entity != NULL)
+    {
       int id = entity->getStoryID();
       //printf("Campaing::getStoryEntity() - now looping, found entity nr=%i\n", id);
       if(id == storyID)
-	{
-	  //printf("Campaing::getStoryEntity() - yea, this is what we where looking for: %id\n");
-	  return entity;
-	}
+        {
+          //printf("Campaing::getStoryEntity() - yea, this is what we where looking for: %id\n");
+          return entity;
+        }
       entity = iterator->nextElement();
     }
Index: orxonox/trunk/src/story_entities/story_def.h
===================================================================
--- orxonox/trunk/src/story_entities/story_def.h	(revision 4596)
+++ orxonox/trunk/src/story_entities/story_def.h	(revision 4597)
@@ -20,5 +20,5 @@
 #define WORLD_ID_GAMEEND 999
 
-#define MAX_STORY_ENTITIES 99 //!> maximal StoryEntities in a Campaign
+#define MAX_STORY_ENTITIES 99 //!< maximal StoryEntities in a Campaign
 
 #endif /* _STORY_DEF_H */
Index: orxonox/trunk/src/story_entities/story_entity.cc
===================================================================
--- orxonox/trunk/src/story_entities/story_entity.cc	(revision 4596)
+++ orxonox/trunk/src/story_entities/story_entity.cc	(revision 4597)
@@ -26,5 +26,5 @@
 StoryEntity::StoryEntity ()
 {
-  this->setClassID(CL_STORY_ENTITY);
+  this->setClassID(CL_STORY_ENTITY, "StoryEntity");
 }
 StoryEntity::~StoryEntity () {}
Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 4596)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 4597)
@@ -769,7 +769,5 @@
   //GLMenuImageScreen*
   this->glmis = new GLMenuImageScreen();
-  this->glmis->init();
   this->glmis->setMaximum(8);
-  //  this->glmis->draw();
 
   PRINTF(3)("World::displayLoadScreen - end\n");
Index: orxonox/trunk/src/util/animation/animation.cc
===================================================================
--- orxonox/trunk/src/util/animation/animation.cc	(revision 4596)
+++ orxonox/trunk/src/util/animation/animation.cc	(revision 4597)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -22,9 +22,11 @@
 /**
    \brief creates a new Animation
-   
+
    This also adds the Animation automatically to the AnimationPlayer's list
 */
 Animation::Animation(void)
-{  
+{
+  this->setClassID(CL_ANIMATION, "Animation");
+
   // initialize a beginning KeyFrame, that will be deleted afterwards
   this->keyFrameCount = 0;
@@ -43,5 +45,5 @@
 /**
    \brief destructs the Animation
-   
+
    this also takes the animation out of the AnimationPlayer's list (if it is there)
 */
@@ -54,5 +56,5 @@
    \brief tells the AnimationPlayer, that we do not wish to  handle this animation
    automatically.
-   
+
    This means that it will not be ticked, and not be deleted with the AnimationPlayer
 */
Index: orxonox/trunk/src/util/animation/animation.h
===================================================================
--- orxonox/trunk/src/util/animation/animation.h	(revision 4596)
+++ orxonox/trunk/src/util/animation/animation.h	(revision 4597)
@@ -1,3 +1,3 @@
-/*! 
+/*!
     \file animation.h
     A Subclass for all animations in orxonox
@@ -31,13 +31,17 @@
    deprecated QUADRATIC
 */
-typedef enum ANIM_FUNCTION {ANIM_CONSTANT,
-			    ANIM_LINEAR,
-			    ANIM_SINE,
-			    ANIM_COSINE,
-			    ANIM_EXP,
-			    ANIM_NEG_EXP,
-			    ANIM_QUADRATIC,
-			    ANIM_RANDOM,
-			    ANIM_NULL};
+typedef enum ANIM_FUNCTION
+{
+  ANIM_CONSTANT,
+  ANIM_LINEAR,
+  ANIM_SINE,
+  ANIM_COSINE,
+  ANIM_EXP,
+  ANIM_NEG_EXP,
+  ANIM_QUADRATIC,
+  ANIM_RANDOM,
+  ANIM_NULL
+};
+
 #define ANIM_DEFAULT_FUNCTION ANIM_LINEAR      //!< A default function to choose from the above set
 
@@ -49,12 +53,15 @@
    ANIM_INF_DELETE deletes the animation. !! THIS IS DANGEROUS !! only do this with non-class variables
 */
-typedef enum ANIM_INFINITY {ANIM_INF_CONSTANT,
-			    ANIM_INF_REPLAY,
-			    ANIM_INF_REWIND,
-			    ANIM_INF_DELETE};//, ANIM_INF_LINEAR, ANIM_INF_PINGPONG;
+typedef enum ANIM_INFINITY
+{
+  ANIM_INF_CONSTANT,
+  ANIM_INF_REPLAY,
+  ANIM_INF_REWIND,
+  ANIM_INF_DELETE
+}; //, ANIM_INF_LINEAR, ANIM_INF_PINGPONG};
 
 //! A Superclass for describing an animation (all animations will be derived from this one)
 /** implement in subclasses:
- * 
+ *
  * De-/Constructor
  * Animation Functions
@@ -65,5 +72,5 @@
  * virtual rewind, to go to the first Keyframe. (other functions will call this one)
 */
-class Animation
+class Animation : public BaseObject
 {
  public:
